﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FlexGrid_VisualStyle
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            c1FlexGrid1.DataSource = GetTable();
            c1FlexGrid1.Cols.Frozen=2;
            c1FlexGrid1.Styles.Alternate.BackColor = Color.Red;

        }
        static DataTable GetTable()
        {
            // Here we create a DataTable with four columns.
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

            // Here we add five DataRows.
            table.Rows.Add(25, "Indocin", "David", DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", DateTime.Now);
            return table;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            c1FlexGrid1.VisualStyle = C1.Win.C1FlexGrid.VisualStyle.Custom;
        }
    }
}
